Get conversation statistics grouped by channel type
Get conversation counts grouped by channel type and status for a given date range. Returns statistics for each channel type including open, resolved, pending, snoozed, and total conversation counts.
Note: This API endpoint is available only in Chatwoot version 4.10.0 and above. The date range is limited to a maximum of 6 months.
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
since?stringThe timestamp from where report should start (Unix timestamp).
until?stringThe timestamp from where report should stop (Unix timestamp).
Success
application/json- response
Channel summary report containing conversation counts grouped by channel type and status. Available in version 4.10.0+.
[key: string]?Conversation statistics for a specific channel type (e.g., Channel::WebWidget, Channel::Api)
curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/summary_reports/channel'{ "property1": { "open": 0, "resolved": 0, "pending": 0, "snoozed": 0, "total": 0 }, "property2": { "open": 0, "resolved": 0, "pending": 0, "snoozed": 0, "total": 0 }}